package ru.yandex.autotests.directapi.model.api5.audiencetargets;

import com.yandex.direct.api.v5.audiencetargets.AudienceTargetSetBidsItem;

public class AudienceTargetSetBidsItemMap extends AudienceTargetBaseMap<AudienceTargetSetBidsItemMap> {

    public static final String ID = "id";
    public static final String AD_GROUP_ID = "adGroupId";
    public static final String CAMPAIGN_ID = "campaignId";

    public AudienceTargetSetBidsItemMap() {
        super();
        setBean(new AudienceTargetSetBidsItem());
    }

    public AudienceTargetSetBidsItemMap(AudienceTargetSetBidsItemMap audienceTargetSetBidsItem) {
        super();
        setBean(audienceTargetSetBidsItem);
    }

    public AudienceTargetSetBidsItemMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public AudienceTargetSetBidsItemMap withId(Long id) {
        this.put(ID, id);
        return this;
    }

    public AudienceTargetSetBidsItemMap withAdGroupId(Long adGroupId) {
        this.put(AD_GROUP_ID, adGroupId);
        return this;
    }

    public AudienceTargetSetBidsItemMap withCampaignId(Long campaignId) {
        this.put(CAMPAIGN_ID, campaignId);
        return this;
    }

}
